% 1-D Haar DWT
clear
x=[1 -3 2 4]
[c,l] = wavedec(x,1,'haar');c % output 1 stage
xr = waverec(c,l,'haar') % reconstructed data
[c,l] = wavedec(x,2,'haar');c % output 2 stage
xr = waverec(c,l,'haar') % reconstructed data
[l_d,h_d,l_r,h_r]=wfilters('haar') % filter coefficients
